Bug 14119 - include cacert.org certificate
: include cacert.org certificate
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ca-certificates)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://www.cacert.org/
:
:
:
  Show dependency tree
 
Reported: 2008-01-22 09:45 by
Modified: 2012-03-07 18:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-22 09:45:28
предлагаю: включить сертификат от cacert.org в пакет.

cacert.org - это non-profit organisation, базирующая в австралии, и поставившая
целью предоставить своим пользователям полноценные, провернные сертификаты
бесплатно.
основной сайт http://www.cacert.org/
Активно работает и сейчас, за логин в истсеме, требуемый для получения
персональных сертификатов, подписанных cacert, денег не требует.
Исходный код сервисов доступен.
http://www.cacert.org/src-lic.php
Имеет публично доступные policy, проходит аудит
http://wiki.cacert.org/wiki/AuditToDo

включение их root certificate в пакет позволит пользователям, получившим у них
сертификат, сразу им пользоваться - без необходимости его импорта вручную.
чем больше дистрибутивов включат их сертификат, тем больше будет смысла
пользоваться их сервисом, а не их конкурентами типа verisign или thawte,
предоставляющими сертификат за деньги.
Т.е. больше людей смогут использовать в своей деятельности цифровые
сертификаты.
------- Comment #1 From 2008-02-24 03:35:17 -------
Кто-нибудь ещё из вендоров включает этот сертификат?
------- Comment #2 From 2008-02-24 09:19:13 -------
http://wiki.cacert.org/wiki/InclusionStatus
------- Comment #3 From 2009-02-27 14:21:56 -------
А в чём тайный смысл включения Class 3 (за год до этой баги), но невключения
Class 1?
------- Comment #4 From 2009-04-05 16:09:11 -------
https://bugzilla.mozilla.org/show_bug.cgi?id=215243 - а этот баг кто-нибудь из
мантейнеров ca-certificates читал?

Как и эту страницу - http://wiki.cacert.org/wiki/Audit. Т.е. до окончания
аудита я бы не стал называть CACert non-profit organisation.
------- Comment #5 From 2009-04-05 16:10:59 -------
(В ответ на комментарий №0)
....
> включение их root certificate в пакет позволит пользователям, получившим у них
> сертификат, сразу им пользоваться - без необходимости его импорта вручную.
> чем больше дистрибутивов включат их сертификат, тем больше будет смысла
> пользоваться их сервисом, а не их конкурентами типа verisign или thawte,
> предоставляющими сертификат за деньги.
> Т.е. больше людей смогут использовать в своей деятельности цифровые
> сертификаты.
Используйте startssl.org - он уже давно поддерживается Firefox и другими
браузерами.
------- Comment #6 From 2009-04-05 19:59:11 -------
(В ответ на комментарий №5)
> (В ответ на комментарий №0)
> ....
> > включение их root certificate в пакет позволит пользователям, получившим у них
> > сертификат, сразу им пользоваться
> Используйте startssl.org - он уже давно поддерживается Firefox и другими
> браузерами.

в ответ на "предлагаю одно" тут отвечать "пользуйтесь другим" я считаю
некорректным.

если у cacert.org процесс аудита идет (work in progress
http://wiki.cacert.org/wiki/AuditToDo) - то что такое startssl.org  - я не
понял. Они уже прошли аудит? куда включены их root CA сертификаты? на сайте
мало информации, в отличие от cacert.org.

к cacert.org есть конкретные претензии?
------- Comment #7 From 2009-04-05 22:25:19 -------
(В ответ на комментарий №6)
> в ответ на "предлагаю одно" тут отвечать "пользуйтесь другим" я считаю
> некорректным.
Ответ вполне корректен - вы хотите пользоваться бесплатными сертификатами, вам
предложили правильный путь ими пользоваться.

> 
> если у cacert.org процесс аудита идет (work in progress
> http://wiki.cacert.org/wiki/AuditToDo) - то что такое startssl.org  - я не
> понял. Они уже прошли аудит? куда включены их root CA сертификаты? на сайте
> мало информации, в отличие от cacert.org.
Вы не умеете троллить - см. https://www.startssl.com/?app=26 тут есть все
ответы на ваши вопросы. http://cert.startcom.org/?app=140 - список
поддерживаемых браузеров, т.е. где уже есть Root CA от StartCom. 

> 
> к cacert.org есть конкретные претензии?
Есть - см. https://bugzilla.mozilla.org/show_bug.cgi?id=215243#c158 - Аудит
CACert еще не закончен и они сами еще не готовы выступать в роли CA.
------- Comment #8 From 2009-04-06 10:06:02 -------
(В ответ на комментарий №7)
> (В ответ на комментарий №6)
> > в ответ на "предлагаю одно" тут отвечать "пользуйтесь другим" я считаю
> > некорректным.
> Ответ вполне корректен - вы хотите пользоваться бесплатными сертификатами

нет, эта конкретная бага не об этом.

> Вы не умеете троллить 

думаете, багзилла - место для подобных выпадов? не остыли от рассылок?

> > к cacert.org есть конкретные претензии?
> Есть - см. https://bugzilla.mozilla.org/show_bug.cgi?id=215243#c158 - Аудит
> CACert еще не закончен и они сами еще не готовы выступать в роли CA.

это не претензии. Это просто еще время не подошло. ничего кардинально
отрицательного, не позволящего в будущем успешно включить сертификат, я не
вижу.
Так что вполне можно было бы промолчать и дождаться аудита, чем вдруг
вспоминать об этой баге и "троллить".
------- Comment #9 From 2009-04-06 13:26:34 -------
(In reply to comment #8)
> (В ответ на комментарий №7)
> > (В ответ на комментарий №6)
> > > в ответ на "предлагаю одно" тут отвечать "пользуйтесь другим" я считаю
> > > некорректным.
> > Ответ вполне корректен - вы хотите пользоваться бесплатными сертификатами
> 
> нет, эта конкретная бага не об этом. 
А о чем? Вы являетесь представителем CACert в России?

> 
> > Вы не умеете троллить 
> 
> думаете, багзилла - место для подобных выпадов? не остыли от рассылок?
Прочитайте еще раз ваш комментарий. Выпады пока только с вашей стороны, причем
весьма неумелые.

> 
> > > к cacert.org есть конкретные претензии?
> > Есть - см. https://bugzilla.mozilla.org/show_bug.cgi?id=215243#c158 - Аудит
> > CACert еще не закончен и они сами еще не готовы выступать в роли CA.
> 
> это не претензии. Это просто еще время не подошло. ничего кардинально
> отрицательного, не позволящего в будущем успешно включить сертификат, я не
> вижу.
> Так что вполне можно было бы промолчать и дождаться аудита, чем вдруг
> вспоминать об этой баге и "троллить".
Можете ли вы гарантировать, что данный CA удовлетворяет всем требованиям на EV?
Вы предлагаете добавить в базу _доверенных_ CA какой-то CA имени Васи Пупкина
(именно так можно называть cacert до окончания аудита). Почему тогда не
добавить туда еще парочку самоподписанных УЦ с предлогом "а мне так удобнее"?
------- Comment #10 From 2009-04-10 02:29:37 -------
ca-certificates-2009.01.15-alt1 -> sisyphus:

* Sun Apr 05 2009 Dmitry V. Levin <ldv@altlinux.org> 2009.01.15-alt1

- cacert.org: Added http://www.cacert.org/certs/root.crt (closes: #14119).
- mozilla/certdata.txt: Updated to revision 1.51 (closes: #19484).